summaryrefslogtreecommitdiffstats
path: root/system/beebem
diff options
context:
space:
mode:
author Tim Dickson2020-09-04 16:21:21 +0200
committer Willy Sudiarto Raharjo2020-09-04 16:21:21 +0200
commitc619ff7e8892c3b9a2dd2e00b3c0dd33ed36eb84 (patch)
tree3d6443ea0738231b359becc279bf9697c1f9e443 /system/beebem
parent5ee0c9f51da1cf4830f440356e2095488e9c3943 (diff)
downloadslackbuilds-c619ff7e8892c3b9a2dd2e00b3c0dd33ed36eb84.tar.gz
system/beebem: Added (Acorn BBC Micro and Master 128 emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/beebem')
-rw-r--r--system/beebem/README7
-rw-r--r--system/beebem/beebem.SlackBuild116
-rw-r--r--system/beebem/beebem.desktop10
-rw-r--r--system/beebem/beebem.info16
-rw-r--r--system/beebem/doinst.sh3
-rw-r--r--system/beebem/slack-desc19
6 files changed, 171 insertions, 0 deletions
diff --git a/system/beebem/README b/system/beebem/README
new file mode 100644
index 0000000000..4235aeacc2
--- /dev/null
+++ b/system/beebem/README
@@ -0,0 +1,7 @@
+beebem (BeebEm is a popular Acorn BBC Micro and Master 128 emulator)
+
+This version of BeebEm for UNIX is an SDL port of the Windows version
+of BeebEm. To get the menu system for changing settings, loading and
+running disc images and so-on, press F12 when the emulater is running.
+It's not as polished as the windows version, especially keyboard
+mapping is limited to querty, but its better than nothing. enjoy! :-)
diff --git a/system/beebem/beebem.SlackBuild b/system/beebem/beebem.SlackBuild
new file mode 100644
index 0000000000..7a2d3c3c1e
--- /dev/null
+++ b/system/beebem/beebem.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for beebem
+
+# Copyright 2020 Tim Dickson Scotland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=beebem
+VERSION=${VERSION:-0.0.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+patch -p0 <${CWD}/${PRGNAM}-${VERSION}_64bit.patch
+patch -p0 <${CWD}/${PRGNAM}-${VERSION}-keys.patch
+patch -p0 <${CWD}/${PRGNAM}-${VERSION}_menu_crash.patch
+cd ${PRGNAM}-${VERSION}/
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-welcome-message \
+ --disable-static \
+ --enable-econet \
+ --build=$ARCH-slackware-linux
+
+make
+#make install does not honour DESTDIR for anything but the binary, so we
+#do a manual install.
+#lets create an icon for the .desktop file
+convert data/resources/icon.bmp -transparent magenta -resize 64 data/resources/beebem.png
+WKDIR=$PKG/usr/share/$PRGNAM
+mkdir -p $PKG/usr/bin $WKDIR/config $WKFIR/resources $WKDIR/media $WKDIR/roms $WKDIR/phroms
+mkdir -p $WKDIR/state/ $PKG/usr/doc/${PRGNAM}-${VERSION} $WKDIR/src
+mkdir -p $PKG/usr/share/pixmaps $PKG/usr/share/applications
+cp -a data/resources/${PRGNAM}.png $PKG/usr/share/pixmaps/
+cp $CWD/${PRGNAM}.desktop $PKG/usr/share/applications/
+cp -ar src/$PRGNAM $PKG/usr/bin/$PRGNAM
+for i in config media phroms resources roms state; do
+ cp -ar data/$i $WKDIR/
+done
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/${PRGNAM}-${VERSION}/COPYING
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/beebem/beebem.desktop b/system/beebem/beebem.desktop
new file mode 100644
index 0000000000..bcb002059b
--- /dev/null
+++ b/system/beebem/beebem.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=beebem
+GenericName=emulator
+Comment=bbc microcomputer emulator. When running press F12 to activate menu
+Categories=System;Emulator;
+Exec=beebem %F
+Icon=beebem
+
diff --git a/system/beebem/beebem.info b/system/beebem/beebem.info
new file mode 100644
index 0000000000..e75a5b9736
--- /dev/null
+++ b/system/beebem/beebem.info
@@ -0,0 +1,16 @@
+PRGNAM="beebem"
+VERSION="0.0.13"
+HOMEPAGE="http://beebem-unix.bbcmicro.com/index.html"
+DOWNLOAD="http://beebem-unix.bbcmicro.com/download/beebem-0.0.13.tar.gz \
+ http://beebem-unix.bbcmicro.com/download/beebem-0.0.13_64bit.patch \
+ http://beebem-unix.bbcmicro.com/download/beebem-0.0.13-keys.patch \
+ http://beebem-unix.bbcmicro.com/download/beebem-0.0.13_menu_crash.patch"
+MD5SUM="44e6edc5c3e5fca9a84e2cddc4bf4858 \
+ fb4b26c4b0189dbf0407816314a42ec6 \
+ 05d373f8c295039b62f9b48cc4dad9fa \
+ 32de835139acabb7b919c18a9ebad830"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@googlemail.com"
diff --git a/system/beebem/doinst.sh b/system/beebem/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/beebem/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/beebem/slack-desc b/system/beebem/slack-desc
new file mode 100644
index 0000000000..d89bff9124
--- /dev/null
+++ b/system/beebem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+beebem: beebem (popular Acorn BBC Micro and Master 128 emulator)
+beebem:
+beebem: This version of BeebEm for UNIX is an SDL port of the Windows version
+beebem: of BeebEm
+beebem:
+beebem: Homepage http://beebem-unix.bbcmicro.com/index.html
+beebem:
+beebem:
+beebem:
+beebem:
+beebem: